Subject: Re: Saving to 32 bits of GPRs in signal context

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 30 May 2007 07:37:41 +1000

On Tue, 2007-05-29 at 09:00 -0500, Steve Munroe wrote:
> 
> >
> Yes exactly why make an incompatible ABI change to the powerp32 ABI,
> when you can just use the existing 64-bit ABI.

Why do you keep saying we are making an incompatible ABI change while we
are not ?

> Especially as you can only run what is proposed on 64-bit hardware!

Because people want to do it ... I suspect this has a lot to do with not
having 64 bits pointers or providing specific optimisations in low level
routines within overall 32 bits apps but I don't know the details.

> We don't need another ABI change to powerpc32 (still recovering from
> the
> -msecure-plt ABI change) and WE DONT NEED a 3rd ABI.
>
> ABI changes ripple everywhere (not just GCC/GLIBC) including all
> debuggers
> and performance tools. Believe me you really don't want this.

BUT WE ARE NOT CHANGING THE BLOODY ABI IN ANY INCOMPATIBLE WAY SHAPE OR
FORM AND THERE IS NO NEED TO CHANGE GLIBC ! Have I been clear enough ?
If not, I'll let Uli explain why again for the 4th time at least.

Ben.